package com.clx.performance.controller.app;

import com.clx.user.feign.PaymentServiceFeign;
import com.clx.user.vo.feign.WalletResidueCardVO;
import com.msl.common.convertor.aspect.UnitCovert;
import com.msl.common.result.Result;
import com.msl.user.utils.TokenUtil;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import lombok.AllArgsConstructor;
import lombok.extern.slf4j.Slf4j;
import org.springframework.validation.annotation.Validated;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestParam;
import org.springframework.web.bind.annotation.RestController;

@Slf4j
@RestController
@RequestMapping("/app/driver")
@Validated
@AllArgsConstructor
@Api(tags = "APP-司机资金管理")
public class AppDriverAccountController {


    private final PaymentServiceFeign paymentServiceFeign;


    @ApiOperation(value = "APP司机账户", notes = "<br>By:胡宇帆")
    @PostMapping("/account")
    @UnitCovert(param = false)
    public Result<Object> account(@RequestParam(value = "userCode") Integer userCode) {
        Long userNo = TokenUtil.getLoginUserInfo().getUserNo();
        Result<WalletResidueCardVO> wallet = paymentServiceFeign.getWallet(userCode);
        return Result.ok(wallet);
    }

}
